# formbay_client.AuthenticationApi

All URIs are relative to *https://trading.formbay.com.au*

Method | HTTP request | Description
------------- | ------------- | -------------
[**login**](AuthenticationApi.md#login) | **POST** /formbay/token | 

# **login**
> LoginSuccess login(username=username, password=password, basic_token=basic_token)



Returns token for authorized User

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.AuthenticationApi(formbay_client.ApiClient(configuration))
username = 'username_example' # str |  (optional)
password = 'password_example' # str |  (optional)
basic_token = 'basic_token_example' # str |  (optional)

try:
    api_response = api_instance.login(username=username, password=password, basic_token=basic_token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AuthenticationApi->login: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**|  | [optional] 
 **password** | **str**|  | [optional] 
 **basic_token** | **str**|  | [optional] 

### Return type

[**LoginSuccess**](LoginSuccess.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

