# formbay_client.ClientAPIDocDetailsApi

All URIs are relative to *https://trading.formbay.com.au*

Method | HTTP request | Description
------------- | ------------- | -------------
[**client_api_pv_doc_post**](ClientAPIDocDetailsApi.md#client_api_pv_doc_post) | **POST** /client_api/pv_doc | 
[**client_api_pv_docs_list_post**](ClientAPIDocDetailsApi.md#client_api_pv_docs_list_post) | **POST** /client_api/pv_docs_list | 

# **client_api_pv_doc_post**
> PvDocPostSchema client_api_pv_doc_post(formid=formid, doctype=doctype, fileext=fileext, doc=doc)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIDocDetailsApi(formbay_client.ApiClient(configuration))
formid = 1.2 # float |  (optional)
doctype = 1.2 # float |  (optional)
fileext = 'fileext_example' # str |  (optional)
doc = 'doc_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_doc_post(formid=formid, doctype=doctype, fileext=fileext, doc=doc)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIDocDetailsApi->client_api_pv_doc_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **formid** | **float**|  | [optional] 
 **doctype** | **float**|  | [optional] 
 **fileext** | **str**|  | [optional] 
 **doc** | **str**|  | [optional] 

### Return type

[**PvDocPostSchema**](PvDocPostSchema.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_docs_list_post**
> client_api_pv_docs_list_post(formid=formid, doctype=doctype, group_id=group_id)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIDocDetailsApi(formbay_client.ApiClient(configuration))
formid = 1.2 # float |  (optional)
doctype = 1.2 # float |  (optional)
group_id = 1.2 # float |  (optional)

try:
    api_instance.client_api_pv_docs_list_post(formid=formid, doctype=doctype, group_id=group_id)
except ApiException as e:
    print("Exception when calling ClientAPIDocDetailsApi->client_api_pv_docs_list_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **formid** | **float**|  | [optional] 
 **doctype** | **float**|  | [optional] 
 **group_id** | **float**|  | [optional] 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

