# formbay_client.ClientAPIGeneralDetailsApi

All URIs are relative to *https://trading.formbay.com.au*

Method | HTTP request | Description
------------- | ------------- | -------------
[**client_api_client_get**](ClientAPIGeneralDetailsApi.md#client_api_client_get) | **GET** /client_api/client | 
[**client_api_clients_get**](ClientAPIGeneralDetailsApi.md#client_api_clients_get) | **GET** /client_api/clients | 
[**client_api_installation_status_get**](ClientAPIGeneralDetailsApi.md#client_api_installation_status_get) | **GET** /client_api/installation_status | 
[**client_api_pv_recs_calculator_post**](ClientAPIGeneralDetailsApi.md#client_api_pv_recs_calculator_post) | **POST** /client_api/pv_recs_calculator | 

# **client_api_client_get**
> ClientDetailsSchema client_api_client_get(group_id=group_id)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGeneralDetailsApi(formbay_client.ApiClient(configuration))
group_id = 'group_id_example' # str |  (optional)

try:
    api_response = api_instance.client_api_client_get(group_id=group_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGeneralDetailsApi->client_api_client_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_id** | **str**|  | [optional] 

### Return type

[**ClientDetailsSchema**](ClientDetailsSchema.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_clients_get**
> object client_api_clients_get()



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGeneralDetailsApi(formbay_client.ApiClient(configuration))

try:
    api_response = api_instance.client_api_clients_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGeneralDetailsApi->client_api_clients_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_installation_status_get**
> object client_api_installation_status_get()



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGeneralDetailsApi(formbay_client.ApiClient(configuration))

try:
    api_response = api_instance.client_api_installation_status_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGeneralDetailsApi->client_api_installation_status_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_recs_calculator_post**
> PvRecsCalculatorSchema client_api_pv_recs_calculator_post(postcode=postcode, ratedpower=ratedpower, deemingperiod=deemingperiod, idate=idate)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGeneralDetailsApi(formbay_client.ApiClient(configuration))
postcode = 'postcode_example' # str |  (optional)
ratedpower = 'ratedpower_example' # str |  (optional)
deemingperiod = 'deemingperiod_example' # str |  (optional)
idate = 'idate_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_recs_calculator_post(postcode=postcode, ratedpower=ratedpower, deemingperiod=deemingperiod, idate=idate)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGeneralDetailsApi->client_api_pv_recs_calculator_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **postcode** | **str**|  | [optional] 
 **ratedpower** | **str**|  | [optional] 
 **deemingperiod** | **str**|  | [optional] 
 **idate** | **str**|  | [optional] 

### Return type

[**PvRecsCalculatorSchema**](PvRecsCalculatorSchema.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

