# formbay_client.ClientAPIGetPVSystemDetailsApi

All URIs are relative to *https://trading.formbay.com.au*

Method | HTTP request | Description
------------- | ------------- | -------------
[**client_api_pv_inverter_battery_brands_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_inverter_battery_brands_get) | **GET** /client_api/pv_inverter_battery_brands | 
[**client_api_pv_inverter_battery_models_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_inverter_battery_models_get) | **GET** /client_api/pv_inverter_battery_models | 
[**client_api_pv_inverter_brands_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_inverter_brands_get) | **GET** /client_api/pv_inverter_brands | 
[**client_api_pv_inverter_models_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_inverter_models_get) | **GET** /client_api/pv_inverter_models | 
[**client_api_pv_inverter_series_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_inverter_series_get) | **GET** /client_api/pv_inverter_series | 
[**client_api_pv_panel_brands_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_panel_brands_get) | **GET** /client_api/pv_panel_brands | 
[**client_api_pv_panel_models_get**](ClientAPIGetPVSystemDetailsApi.md#client_api_pv_panel_models_get) | **GET** /client_api/pv_panel_models | 

# **client_api_pv_inverter_battery_brands_get**
> object client_api_pv_inverter_battery_brands_get()



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))

try:
    api_response = api_instance.client_api_pv_inverter_battery_brands_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_inverter_battery_brands_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_inverter_battery_models_get**
> object client_api_pv_inverter_battery_models_get(b_brand=b_brand)



GET pv inverter battery details

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))
b_brand = 'b_brand_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_inverter_battery_models_get(b_brand=b_brand)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_inverter_battery_models_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **b_brand** | **str**|  | [optional] 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_inverter_brands_get**
> object client_api_pv_inverter_brands_get()



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))

try:
    api_response = api_instance.client_api_pv_inverter_brands_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_inverter_brands_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_inverter_models_get**
> object client_api_pv_inverter_models_get(series=series, brand=brand)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))
series = 'series_example' # str |  (optional)
brand = 'brand_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_inverter_models_get(series=series, brand=brand)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_inverter_models_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **series** | **str**|  | [optional] 
 **brand** | **str**|  | [optional] 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_inverter_series_get**
> object client_api_pv_inverter_series_get(brand=brand)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))
brand = 'brand_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_inverter_series_get(brand=brand)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_inverter_series_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **brand** | **str**|  | [optional] 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_panel_brands_get**
> object client_api_pv_panel_brands_get()



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))

try:
    api_response = api_instance.client_api_pv_panel_brands_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_panel_brands_get: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_pv_panel_models_get**
> object client_api_pv_panel_models_get(brand=brand)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPIGetPVSystemDetailsApi(formbay_client.ApiClient(configuration))
brand = 'brand_example' # str |  (optional)

try:
    api_response = api_instance.client_api_pv_panel_models_get(brand=brand)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPIGetPVSystemDetailsApi->client_api_pv_panel_models_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **brand** | **str**|  | [optional] 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

