# formbay_client.ClientAPISWHFormDetailsApi

All URIs are relative to *https://trading.formbay.com.au*

Method | HTTP request | Description
------------- | ------------- | -------------
[**client_api_swh_form_delete**](ClientAPISWHFormDetailsApi.md#client_api_swh_form_delete) | **DELETE** /client_api/swh_form | 
[**client_api_swh_form_get**](ClientAPISWHFormDetailsApi.md#client_api_swh_form_get) | **GET** /client_api/swh_form | 
[**client_api_swh_form_list_get**](ClientAPISWHFormDetailsApi.md#client_api_swh_form_list_get) | **GET** /client_api/swh_form_list | 
[**client_api_swh_form_post**](ClientAPISWHFormDetailsApi.md#client_api_swh_form_post) | **POST** /client_api/swh_form | 
[**client_api_swh_form_put**](ClientAPISWHFormDetailsApi.md#client_api_swh_form_put) | **PUT** /client_api/swh_form | 

# **client_api_swh_form_delete**
> client_api_swh_form_delete(formid=formid)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPISWHFormDetailsApi(formbay_client.ApiClient(configuration))
formid = 'formid_example' # str |  (optional)

try:
    api_instance.client_api_swh_form_delete(formid=formid)
except ApiException as e:
    print("Exception when calling ClientAPISWHFormDetailsApi->client_api_swh_form_delete: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **formid** | **str**|  | [optional] 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_swh_form_get**
> SwhFormGetSchema client_api_swh_form_get(formid=formid)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPISWHFormDetailsApi(formbay_client.ApiClient(configuration))
formid = 'formid_example' # str |  (optional)

try:
    api_response = api_instance.client_api_swh_form_get(formid=formid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPISWHFormDetailsApi->client_api_swh_form_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **formid** | **str**|  | [optional] 

### Return type

[**SwhFormGetSchema**](SwhFormGetSchema.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_swh_form_list_get**
> object client_api_swh_form_list_get(group_id=group_id, status=status)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPISWHFormDetailsApi(formbay_client.ApiClient(configuration))
group_id = 'group_id_example' # str |  (optional)
status = 'status_example' # str |  (optional)

try:
    api_response = api_instance.client_api_swh_form_list_get(group_id=group_id, status=status)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPISWHFormDetailsApi->client_api_swh_form_list_get: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_id** | **str**|  | [optional] 
 **status** | **str**|  | [optional] 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_swh_form_post**
> SwhFormCreateSchema client_api_swh_form_post(idate=idate, urref=urref, brand=brand, model=model, tanksize=tanksize, panel_count=panel_count, npanels=npanels, serialnumbersname=serialnumbersname, secondhand=secondhand, swhmore=swhmore, building_story=building_story, commercial=commercial, purpose=purpose, reprec=reprec, repnrec=repnrec, repsize=repsize, repser=repser, owner_type=owner_type, company_abn=company_abn, ofname=ofname, osname=osname, ophone=ophone, oemail=oemail, signee_name=signee_name, position_in_company=position_in_company, ounittype=ounittype, ounitnum=ounitnum, ostreetnum=ostreetnum, ostreetname=ostreetname, ostreettype=ostreettype, opostalcode=opostalcode, ocity=ocity, ostate=ostate, pproperty=pproperty, punittype=punittype, punitnum=punitnum, pstreetnum=pstreetnum, pstreetname=pstreetname, pstreettype=pstreettype, ppostalcode=ppostalcode, pcity=pcity, pstate=pstate, pgis=pgis, specialadd=specialadd, iid=iid)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPISWHFormDetailsApi(formbay_client.ApiClient(configuration))
idate = 'idate_example' # str |  (optional)
urref = 'urref_example' # str |  (optional)
brand = 'brand_example' # str |  (optional)
model = 'model_example' # str |  (optional)
tanksize = 'tanksize_example' # str |  (optional)
panel_count = 'panel_count_example' # str |  (optional)
npanels = 'npanels_example' # str |  (optional)
serialnumbersname = 'serialnumbersname_example' # str |  (optional)
secondhand = 'secondhand_example' # str |  (optional)
swhmore = 'swhmore_example' # str |  (optional)
building_story = 'building_story_example' # str |  (optional)
commercial = 'commercial_example' # str |  (optional)
purpose = 'purpose_example' # str |  (optional)
reprec = 'reprec_example' # str |  (optional)
repnrec = 'repnrec_example' # str |  (optional)
repsize = 'repsize_example' # str |  (optional)
repser = 'repser_example' # str |  (optional)
owner_type = 'owner_type_example' # str |  (optional)
company_abn = 'company_abn_example' # str |  (optional)
ofname = 'ofname_example' # str |  (optional)
osname = 'osname_example' # str |  (optional)
ophone = 'ophone_example' # str |  (optional)
oemail = 'oemail_example' # str |  (optional)
signee_name = 'signee_name_example' # str |  (optional)
position_in_company = 'position_in_company_example' # str |  (optional)
ounittype = 'ounittype_example' # str |  (optional)
ounitnum = 'ounitnum_example' # str |  (optional)
ostreetnum = 'ostreetnum_example' # str |  (optional)
ostreetname = 'ostreetname_example' # str |  (optional)
ostreettype = 'ostreettype_example' # str |  (optional)
opostalcode = 'opostalcode_example' # str |  (optional)
ocity = 'ocity_example' # str |  (optional)
ostate = 'ostate_example' # str |  (optional)
pproperty = 'pproperty_example' # str |  (optional)
punittype = 'punittype_example' # str |  (optional)
punitnum = 'punitnum_example' # str |  (optional)
pstreetnum = 'pstreetnum_example' # str |  (optional)
pstreetname = 'pstreetname_example' # str |  (optional)
pstreettype = 'pstreettype_example' # str |  (optional)
ppostalcode = 'ppostalcode_example' # str |  (optional)
pcity = 'pcity_example' # str |  (optional)
pstate = 'pstate_example' # str |  (optional)
pgis = 'pgis_example' # str |  (optional)
specialadd = 'specialadd_example' # str |  (optional)
iid = 'iid_example' # str |  (optional)

try:
    api_response = api_instance.client_api_swh_form_post(idate=idate, urref=urref, brand=brand, model=model, tanksize=tanksize, panel_count=panel_count, npanels=npanels, serialnumbersname=serialnumbersname, secondhand=secondhand, swhmore=swhmore, building_story=building_story, commercial=commercial, purpose=purpose, reprec=reprec, repnrec=repnrec, repsize=repsize, repser=repser, owner_type=owner_type, company_abn=company_abn, ofname=ofname, osname=osname, ophone=ophone, oemail=oemail, signee_name=signee_name, position_in_company=position_in_company, ounittype=ounittype, ounitnum=ounitnum, ostreetnum=ostreetnum, ostreetname=ostreetname, ostreettype=ostreettype, opostalcode=opostalcode, ocity=ocity, ostate=ostate, pproperty=pproperty, punittype=punittype, punitnum=punitnum, pstreetnum=pstreetnum, pstreetname=pstreetname, pstreettype=pstreettype, ppostalcode=ppostalcode, pcity=pcity, pstate=pstate, pgis=pgis, specialadd=specialadd, iid=iid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClientAPISWHFormDetailsApi->client_api_swh_form_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **idate** | **str**|  | [optional] 
 **urref** | **str**|  | [optional] 
 **brand** | **str**|  | [optional] 
 **model** | **str**|  | [optional] 
 **tanksize** | **str**|  | [optional] 
 **panel_count** | **str**|  | [optional] 
 **npanels** | **str**|  | [optional] 
 **serialnumbersname** | **str**|  | [optional] 
 **secondhand** | **str**|  | [optional] 
 **swhmore** | **str**|  | [optional] 
 **building_story** | **str**|  | [optional] 
 **commercial** | **str**|  | [optional] 
 **purpose** | **str**|  | [optional] 
 **reprec** | **str**|  | [optional] 
 **repnrec** | **str**|  | [optional] 
 **repsize** | **str**|  | [optional] 
 **repser** | **str**|  | [optional] 
 **owner_type** | **str**|  | [optional] 
 **company_abn** | **str**|  | [optional] 
 **ofname** | **str**|  | [optional] 
 **osname** | **str**|  | [optional] 
 **ophone** | **str**|  | [optional] 
 **oemail** | **str**|  | [optional] 
 **signee_name** | **str**|  | [optional] 
 **position_in_company** | **str**|  | [optional] 
 **ounittype** | **str**|  | [optional] 
 **ounitnum** | **str**|  | [optional] 
 **ostreetnum** | **str**|  | [optional] 
 **ostreetname** | **str**|  | [optional] 
 **ostreettype** | **str**|  | [optional] 
 **opostalcode** | **str**|  | [optional] 
 **ocity** | **str**|  | [optional] 
 **ostate** | **str**|  | [optional] 
 **pproperty** | **str**|  | [optional] 
 **punittype** | **str**|  | [optional] 
 **punitnum** | **str**|  | [optional] 
 **pstreetnum** | **str**|  | [optional] 
 **pstreetname** | **str**|  | [optional] 
 **pstreettype** | **str**|  | [optional] 
 **ppostalcode** | **str**|  | [optional] 
 **pcity** | **str**|  | [optional] 
 **pstate** | **str**|  | [optional] 
 **pgis** | **str**|  | [optional] 
 **specialadd** | **str**|  | [optional] 
 **iid** | **str**|  | [optional] 

### Return type

[**SwhFormCreateSchema**](SwhFormCreateSchema.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **client_api_swh_form_put**
> client_api_swh_form_put(formid=formid)



Formbay API documentation description

### Example
```python
from __future__ import print_function
import time
import formbay_client
from formbay_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = formbay_client.ClientAPISWHFormDetailsApi(formbay_client.ApiClient(configuration))
formid = 'formid_example' # str |  (optional)

try:
    api_instance.client_api_swh_form_put(formid=formid)
except ApiException as e:
    print("Exception when calling ClientAPISWHFormDetailsApi->client_api_swh_form_put: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **formid** | **str**|  | [optional] 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

